GET /molecule
Summary: Search molecules
Operation ID: searchMolecules
Auth: unknown
Operation ID: searchMolecules
Auth: unknown
Description
Search for molecules with optional filters and pagination.
Parameters (9)
first_approval__gte
(integer, query, optional)
Filter by first approval year (greater than or equal)
limit
(integer, query, optional, default: 20)
Maximum number of results to return
Constraints: {'maximum': 1000}
max_phase
(string, query, optional)
Filter by maximum clinical development phase
Constraints: {'enum': ['0.0', '1.0', '2.0', '3.0', '4.0']}
molecule_chembl_id__in
(string, query, optional)
Filter by ChEMBL IDs (comma-separated)
molecule_properties__full_mwt__gte
(number, query, optional)
Filter by molecular weight (greater than or equal)
molecule_properties__full_mwt__lte
(number, query, optional)
Filter by molecular weight (less than or equal)
molecule_type
(string, query, optional)
Filter by molecule type
Constraints: {'enum': ['Small molecule', 'Protein', 'Antibody', 'Oligonucleotide', 'Oligosaccharide', 'Cell', 'Unknown', 'Unclassified']}
offset
(integer, query, optional, default: 0)
Offset for pagination
pref_name__icontains
(string, query, optional)
Filter by preferred name (case-insensitive contains)
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List first 20 molecules (default) | curl |
https://www.ebi.ac.uk/chembl/api/data/molecule.json |
|
| List molecules with pagination (limit 10, offset 20) | curl |
https://www.ebi.ac.uk/chembl/api/data/molecule.json?limit=10&offset=20 |
|
| List molecules in XML format | curl |
https://www.ebi.ac.uk/chembl/api/data/molecule.xml?limit=5 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:23:41.154019 | 200 | 742ms | |
| 2026-03-23 10:20:56.588921 | 200 | 526ms | |
| 2026-03-23 09:16:33.733795 | 200 | 566ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:20:56.588921 | f1c92d151816 |
b34bba91fc64 |
| 2026-03-23 10:23:41.154019 | b34bba91fc64 |
dcc2eb5ed7b2 |